var events_c12a15a8_c380_4b28_8144_256cba95f760 = 
{
	"commonEvent": {
		"加点事件": [
			{
				"type": "comment",
				"text": "通过传参，flag:arg1 表示当前应该的加点数值"
			},
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+${1*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1*flag:arg1"
							}
						]
					},
					{
						"text": "防御+${2*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2*flag:arg1"
							}
						]
					},
					{
						"text": "生命+${200*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200*flag:arg1"
							}
						]
					}
				]
			}
		],
		"回收钥匙商店": [
			{
				"type": "comment",
				"text": "此事件在全局商店中被引用了(全局商店keyShop)"
			},
			{
				"type": "comment",
				"text": "解除引用前勿删除此事件"
			},
			{
				"type": "comment",
				"text": "玩家在快捷列表（V键）中可以使用本公共事件"
			},
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "choices",
						"text": "\t[商人,trader]你有多余的钥匙想要出售吗？",
						"choices": [
							{
								"text": "黄钥匙（10金币）",
								"color": [
									255,
									255,
									0,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:yellowKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:yellowKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "10"
											}
										],
										"false": [
											"\t[商人,trader]你没有黄钥匙！"
										]
									}
								]
							},
							{
								"text": "蓝钥匙（50金币）",
								"color": [
									0,
									0,
									255,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:blueKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:blueKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "50"
											}
										],
										"false": [
											"\t[商人,trader]你没有蓝钥匙！"
										]
									}
								]
							},
							{
								"text": "离开",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			}
		],
		"游戏说明": [
			{
				"type": "choices",
				"choices": [
					{
						"text": "游戏简介",
						"action": [
							"h5版本是按照flash版复刻，其中部分对话使用的魔塔盛宴的版本。",
							"地图复制：数码宝贝51、641\n部分事件复制：小艾\n默认背景音乐：无；可在切换音乐处设置\n游戏音乐、怪物显伤等开关可以在系统设置里打开和关闭",
							"想要获得更详细的介绍，可以在菜单——游戏信息——游戏主页中进入本塔的评论区，查看置顶评论。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "游戏结局",
						"action": [
							{
								"type": "if",
								"condition": "flag:addhp",
								"true": [
									"疯狂加血模式下，本塔有且仅有一个专属结局。",
									{
										"type": "insert",
										"name": "游戏说明"
									}
								],
								"false": [
									"本塔共有四个结局。\n在原版魔塔中，使用下楼器和破墙镐（或下楼器和地震卷轴）可以封印魔王，因此，这个版本如保留下楼器和破墙镐（或下楼器和地震卷轴）击败魔王，即可打出True End，否则为Normal End。",
									"不论是Normal End还是True End，都分为穿墙结局和不穿墙结局，如果从未使用对话穿墙，可以打出不穿墙结局。",
									{
										"type": "insert",
										"name": "游戏说明"
									}
								]
							}
						]
					},
					{
						"text": "对话穿墙",
						"action": [
							"在与老人对话后，或购买商人的物品并再次对话后，可以立即清除，或走一步再清除身边的某一堵墙（不必是暗墙）。",
							"这期间不能瞬移、打怪、开门和使用道具，否则穿墙会失败。",
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "切换音乐",
						"action": [
							{
								"type": "choices",
								"choices": [
									{
										"text": "精灵石 3个小萝莉在一起",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "1"
											},
											{
												"type": "playBgm",
												"name": "xiaoluoli.mp3"
											}
										]
									},
									{
										"text": "精灵石 晚上家里和镇子",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "2"
											},
											{
												"type": "playBgm",
												"name": "wan.mp3"
											}
										]
									},
									{
										"text": "精灵石 黄昏的镇子",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "3"
											},
											{
												"type": "playBgm",
												"name": "huang.mp3"
											}
										]
									},
									{
										"text": "仙境传说-守候永恒的爱",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "4"
											},
											{
												"type": "playBgm",
												"name": "xian.mp3"
											}
										]
									},
									{
										"text": "精灵石 精灵石传说",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "5"
											},
											{
												"type": "playBgm",
												"name": "chuanshuo.mp3"
											}
										]
									},
									{
										"text": "精灵石 ed【神曲】",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "6"
											},
											{
												"type": "playBgm",
												"name": "ed.mp3"
											}
										]
									},
									{
										"text": "精灵石 幸福之花",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "7"
											},
											{
												"type": "playBgm",
												"name": "hua.mp3"
											}
										]
									},
									{
										"text": "精灵石 迷宫",
										"action": [
											{
												"type": "setValue",
												"name": "flag:bgm",
												"value": "8"
											},
											{
												"type": "playBgm",
												"name": "migong.mp3"
											}
										]
									},
									{
										"text": "离开",
										"action": []
									}
								]
							},
							{
								"type": "insert",
								"name": "游戏说明"
							}
						]
					},
					{
						"text": "返回游戏",
						"action": []
					}
				]
			}
		],
		"对话": [
			{
				"type": "switch",
				"condition": "flag:arg1",
				"caseList": [
					{
						"case": "134",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'谢谢你救了我，为了感谢你的帮助请收下这些礼物。'"
							}
						]
					},
					{
						"case": "135",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'我给你怪物手册 以及 你对话之后没有神秘的能力'"
							}
						]
					},
					{
						"case": "123",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'本塔有很多暗墙，比如本层就有一个'"
							}
						]
					},
					{
						"case": "132",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'蛋糕塔共有底层、中层、顶层3个大层，如果不使用上楼器就不能到达中层，中层就是四区'"
							}
						]
					},
					{
						"case": "125",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'打败大法师可以直通顶层，魔王和公主都住在那里'"
							}
						]
					},
					{
						"case": "6",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 == 4)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'购买物品之后再与商人对话，他会告诉你一些重要的消息。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话6",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'魔塔共有50层，每10层为一个区域。如果不打败此区域的头目就不能到更高的地方。'"
									},
									{
										"type": "setValue",
										"name": "flag:对话602",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "143",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'条条大路通魔塔'"
							}
						]
					},
					{
						"case": "124",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'塔内有个地方有四扇红门，其实只要开一扇'"
							}
						]
					},
					{
						"case": "141",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'十字架对兽人和吸血鬼是神器 它被藏在这旁边的某层中'"
							}
						]
					},
					{
						"case": "142",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'不用打败boss就能来到其他区域 也可以获得其他区域的资源'"
							}
						]
					},
					{
						"case": "18",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'在这区域不多次提升攻击力 就不能打败石头人 切记前人教训'"
							},
							{
								"type": "setValue",
								"name": "flag:对话18",
								"value": "1"
							}
						]
					},
					{
						"case": "21",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'大法师住在25楼 他是魔塔的主人 以你现在的状态去攻击他简直就是自杀 你应当在取得更高级别的道具后再去打败他'"
							},
							{
								"type": "setValue",
								"name": "flag:对话21",
								"value": "1"
							}
						]
					},
					{
						"case": "23",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'我没有什么可说的，但有一个确切的消息藏在这个楼层'"
							},
							{
								"type": "setValue",
								"name": "flag:对话23",
								"value": "1"
							}
						]
					},
					{
						"case": "27",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'如果你没有使用过4层的祭坛 在12层供奉不超过4次 那么祝贺你 你的前期是比较成功的'"
							},
							{
								"type": "setValue",
								"name": "flag:对话27",
								"value": "1"
							}
						]
					},
					{
						"case": "31",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 == 1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'你居然买了我的钥匙 那我就告诉你一个秘密 魔塔里有个幸运金币 拥有它在打败敌人后能获得2倍的金币'"
									},
									{
										"type": "setValue",
										"name": "flag:对话3102",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'双手剑士的攻击力太高了 你最好到能对他一击必杀时再与他战斗, 但是如果他主动攻击你, 你仍然会受到一次伤害'"
									},
									{
										"type": "setValue",
										"name": "flag:对话31",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "232",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你居然买了我的钥匙 那我就告诉你一个秘密 这座塔的上头比较细而下头比较粗'"
							}
						]
					},
					{
						"case": "242",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你居然买了我的钥匙 那我就告诉你一个秘密 魔塔里有个幸运金币 拥有它在打败敌人后能获得2倍的金币'"
							}
						]
					},
					{
						"case": "243",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'存放圣剑的房间的门好了'"
							}
						]
					},
					{
						"case": "223",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'别匆忙, 放慢速度, 也可以匆忙, 加快速度'"
							}
						]
					},
					{
						"case": "224",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'双手剑士的攻击力太高了 你最好到能对他一击必杀时再与他战斗, 他不会主动攻击你'"
							}
						]
					},
					{
						"case": "222",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'不用找了 本层没有暗道, 但是如果你能用好移动宝物 可以省很多血'"
							}
						]
					},
					{
						"case": "234",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'你需要用地震卷轴才能取走这里的所有宝物 当然你也可以不取 51层魔塔最好玩的地方就是道具有多种用法'"
							}
						]
					},
					{
						"case": "244",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'谜题 在3点 拥有传送功能的密宝 就会出现'"
							}
						]
					},
					{
						"case": "38",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'存放圣剑的房间的门好了'"
							},
							{
								"type": "setValue",
								"name": "flag:对话38",
								"value": "1"
							}
						]
					},
					{
						"case": "39",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg2 == 1)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'谜题 在3点 拥有传送功能的密宝 就会出现'"
									},
									{
										"type": "setValue",
										"name": "flag:对话39",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'你居然买了我的钥匙 那我就告诉你一个秘密 神圣剑有3种方法可以得到 不同的方法路线也会不同'"
									},
									{
										"type": "setValue",
										"name": "flag:对话3902",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "112",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'神圣盾能防御魔法攻击 没有被藏在异空间 就在旁边'"
							}
						]
					},
					{
						"case": "122",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'我听说公主每天起床都会带上瓶子去卫生间，再出来就有了一瓶圣水，估计圣水是公主的刷牙水吧'"
							}
						]
					},
					{
						"case": "154",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'圣剑的守卫是这四个魔法警卫 什么 别说胡话了 这塔里没有假魔王'"
							}
						]
					},
					{
						"case": "45",
						"action": [
							{
								"type": "if",
								"condition": "(flag:arg3 == 3)",
								"true": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'神圣盾能防御魔法攻击 但它被藏在异空间的楼层内'"
									},
									{
										"type": "setValue",
										"name": "flag:对话45",
										"value": "1"
									}
								],
								"false": [
									{
										"type": "setValue",
										"name": "flag:content",
										"value": "'44楼被藏在异空间 你只能用移动宝物才能到达'"
									},
									{
										"type": "setValue",
										"name": "flag:对话4502",
										"value": "1"
									}
								]
							}
						]
					},
					{
						"case": "46",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'41层其实是左右对称的 你应该能发现 打怪时如果不和怪物重叠 可以规避一些魔法攻击'"
							},
							{
								"type": "setValue",
								"name": "flag:对话46",
								"value": "1"
							}
						]
					},
					{
						"case": "145",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'如果要打败魔龙你需要 圣剑 圣盾 屠龙匕 或更高等级的装备'"
							}
						]
					},
					{
						"case": "48",
						"action": [
							{
								"type": "setValue",
								"name": "flag:content",
								"value": "'像骰子上5一样的形状是一种封印魔法 你最好记住 它在与魔王战斗时可能有用 什么 别说胡话了 这房间没有魔法警卫'"
							},
							{
								"type": "setValue",
								"name": "flag:对话48",
								"value": "1"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "if",
				"condition": "flag:arg4",
				"true": [
					"\t[商人,woman]${flag:content}"
				],
				"false": [
					"\t[老人,man]${flag:content}"
				]
			},
			{
				"type": "switch",
				"condition": "flag:arg1",
				"caseList": [
					{
						"case": "134",
						"action": [
							{
								"type": "playSound",
								"name": "item.mp3"
							},
							{
								"type": "addValue",
								"name": "status:money",
								"value": "1000"
							},
							{
								"type": "tip",
								"text": "获得1000金币"
							}
						]
					},
					{
						"case": "135",
						"action": [
							{
								"type": "setValue",
								"name": "item:book",
								"value": "1"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:talking",
				"value": "0"
			},
			{
				"type": "hide",
				"loc": [
					"core.nextX()",
					"core.nextY()"
				],
				"remove": true,
				"time": 500
			}
		],
		"商人": [
			{
				"type": "switch",
				"condition": "parseInt(core.status.floorId.substring(2))",
				"caseList": [
					{
						"case": "132",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙'"
							}
						]
					},
					{
						"case": "143",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "50"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'五把黄钥匙'"
							}
						]
					},
					{
						"case": "124",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "800"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把红钥匙'"
							}
						]
					},
					{
						"case": "141",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙'"
							}
						]
					},
					{
						"case": "242",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "600"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'一把蓝钥匙, 四把黄钥匙'"
							}
						]
					},
					{
						"case": "243",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "200"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'大甩卖! 三把黄钥匙只要200金币, 先到先得!'"
							}
						]
					},
					{
						"case": "232",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "900"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'三把蓝钥匙'"
							}
						]
					},
					{
						"case": "122",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "1000"
							},
							{
								"type": "setValue",
								"name": "flag:alt",
								"value": "1"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'你出1000金币, 我就帮你回复2000点生命值'"
							}
						]
					},
					{
						"case": "145",
						"action": [
							{
								"type": "setValue",
								"name": "flag:money",
								"value": "4000"
							},
							{
								"type": "setValue",
								"name": "flag:item",
								"value": "'地震卷轴'"
							}
						]
					},
					{
						"case": "default",
						"action": []
					}
				]
			},
			{
				"type": "choices",
				"text": "\t[商人,woman]${flag:alt ? flag:item : '我有'+flag:item+', 你出'+flag:money+'金币就卖给你'}",
				"choices": [
					{
						"text": "我太需要了",
						"action": [
							{
								"type": "if",
								"condition": "(status:money >= flag:money)",
								"true": [
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money"
									},
									{
										"type": "switch",
										"condition": "parseInt(core.status.floorId.substring(2))",
										"caseList": [
											{
												"case": "132",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "143",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "5"
													}
												]
											},
											{
												"case": "124",
												"action": [
													{
														"type": "setValue",
														"name": "item:redKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "141",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "242",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "4"
													},
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "243",
												"action": [
													{
														"type": "setValue",
														"name": "item:yellowKey",
														"operator": "+=",
														"value": "3"
													}
												]
											},
											{
												"case": "232",
												"action": [
													{
														"type": "setValue",
														"name": "item:blueKey",
														"operator": "+=",
														"value": "3"
													}
												]
											},
											{
												"case": "122",
												"action": [
													{
														"type": "playSound",
														"name": "item.mp3"
													},
													{
														"type": "setValue",
														"name": "status:hp",
														"operator": "+=",
														"value": "2000"
													}
												]
											},
											{
												"case": "145",
												"action": [
													{
														"type": "setValue",
														"name": "item:earthquake",
														"operator": "+=",
														"value": "1"
													}
												]
											},
											{
												"case": "default",
												"action": []
											}
										]
									},
									{
										"type": "function",
										"function": "function(){\nvar name = core.status.floorId + '@' + core.nextX() + '@' + core.nextY() + '@' + 'A';\ncore.setFlag(name, 1);\n}"
									}
								],
								"false": [
									"\t[商人,woman]你的金币不够${flag:money}枚，无法交易！"
								]
							}
						]
					},
					{
						"text": "下次再说",
						"action": []
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:alt",
				"value": "0"
			}
		],
		"商店": [
			{
				"type": "if",
				"condition": "(flag:times1===0)",
				"true": [
					{
						"type": "setValue",
						"name": "flag:times1",
						"value": "1"
					}
				]
			},
			{
				"type": "setValue",
				"name": "flag:money1",
				"value": "20+10*flag:times1*(flag:times1-1)"
			},
			{
				"type": "choices",
				"text": "\t[祭坛,blueShop]如果供奉${flag:money1}金币, 便可以增加你的力量, 你想要什么呢…",
				"choices": [
					{
						"text": "生命+${100*flag:times1}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:hp",
										"operator": "+=",
										"value": "100*flag:times1"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "攻击+${2*flag:ratio}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:atk",
										"operator": "+=",
										"value": "2*flag:ratio"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "防御+${4*flag:ratio}",
						"action": [
							{
								"type": "if",
								"condition": "(status:money>=flag:money1)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "status:def",
										"operator": "+=",
										"value": "4*flag:ratio"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "-=",
										"value": "flag:money1"
									},
									{
										"type": "setValue",
										"name": "flag:times1",
										"operator": "+=",
										"value": "1"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你的金币不足${flag:money1}枚，无法供奉！"
									},
									{
										"type": "insert",
										"name": "商店"
									}
								]
							}
						]
					},
					{
						"text": "离开",
						"action": []
					}
				]
			}
		],
		"记事本": null,
		"本塔修改内容": [
			"本塔修改内容：\n魔塔变成了蛋糕的样子，底层5 * 5 = 25，中层3 * 3 = 9，顶层1 * 1 = 1\n楼传可以任意使用\n中层首次到达时会被骑士队长突袭\n中层只能通过上楼器上去，没有楼梯可以到达\n祭坛只有一个，打败boss后增加祭坛的属性倍率",
			{
				"type": "if",
				"condition": "(flag:arg1===20)",
				"true": [
					"按L键可以再次观看"
				]
			}
		],
		"卖钥匙": [
			{
				"type": "choices",
				"text": "\t[商人,woman]我能交易黄钥匙！",
				"choices": [
					{
						"text": "100金币卖黄钥匙",
						"need": "flag:28商人===28",
						"action": [
							{
								"type": "if",
								"condition": "(item:yellowKey>0)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "item:yellowKey",
										"operator": "-=",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "+=",
										"value": "100"
									},
									{
										"type": "insert",
										"name": "卖钥匙"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你没有黄钥匙"
									},
									{
										"type": "insert",
										"name": "卖钥匙"
									}
								]
							}
						]
					},
					{
						"text": "1000金币卖十把黄钥匙",
						"need": "flag:28商人===28",
						"action": [
							{
								"type": "if",
								"condition": "(item:yellowKey>=10)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "item:yellowKey",
										"operator": "-=",
										"value": "10"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "+=",
										"value": "1000"
									},
									{
										"type": "insert",
										"name": "卖钥匙"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你没有黄钥匙"
									},
									{
										"type": "insert",
										"name": "卖钥匙"
									}
								]
							}
						]
					},
					{
						"text": "200金币卖蓝钥匙",
						"need": "flag:28商人===28",
						"action": [
							{
								"type": "if",
								"condition": "(item:blueKey>0)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "item:blueKey",
										"operator": "-=",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "+=",
										"value": "200"
									},
									{
										"type": "insert",
										"name": "卖钥匙"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你没有蓝钥匙"
									},
									{
										"type": "insert",
										"name": "卖钥匙"
									}
								]
							}
						]
					},
					{
						"text": "300金币卖红钥匙",
						"need": "flag:28商人===28",
						"action": [
							{
								"type": "if",
								"condition": "(item:redKey>0)",
								"true": [
									{
										"type": "playSound",
										"name": "item.mp3"
									},
									{
										"type": "setValue",
										"name": "item:redKey",
										"operator": "-=",
										"value": "1"
									},
									{
										"type": "setValue",
										"name": "status:money",
										"operator": "+=",
										"value": "300"
									},
									{
										"type": "insert",
										"name": "卖钥匙"
									}
								],
								"false": [
									{
										"type": "tip",
										"text": "你没有红钥匙"
									},
									{
										"type": "insert",
										"name": "卖钥匙"
									}
								]
							}
						]
					},
					{
						"text": "下次再说",
						"action": [
							{
								"type": "exit"
							}
						]
					}
				]
			}
		],
		"选择快捷商店": [
			{
				"type": "choices",
				"text": "选择快捷商店",
				"choices": [
					{
						"text": "祭坛",
						"icon": "blueShop",
						"action": [
							{
								"type": "useItem",
								"id": "quickShop"
							}
						]
					},
					{
						"text": "钥匙",
						"icon": "yellowKey",
						"action": [
							{
								"type": "useItem",
								"id": "keyShop"
							}
						]
					},
					{
						"text": "${flag:autoBattle?'关闭':'开启'}自动清怪",
						"icon": "greenSlime",
						"action": [
							{
								"type": "setValue",
								"name": "flag:autoBattle",
								"value": "(!flag:autoBattle)"
							}
						]
					},
					{
						"text": "${flag:zdsq?'关闭':'开启'}自动拾取",
						"icon": "redGem",
						"action": [
							{
								"type": "setValue",
								"name": "flag:zdsq",
								"value": "(!flag:zdsq)"
							}
						]
					},
					{
						"text": "退出",
						"action": [
							{
								"type": "exit"
							}
						]
					}
				]
			}
		],
		"楼传": [
			{
				"type": "setValue",
				"name": "flag:当前楼传页面",
				"value": "0"
			},
			{
				"type": "setValue",
				"name": "flag:当前楼传模式",
				"value": "'楼传'"
			},
			{
				"type": "setValue",
				"name": "flag:传送成功",
				"value": "0"
			},
			{
				"type": "dowhile",
				"condition": "true",
				"data": [
					{
						"type": "if",
						"condition": "(flag:当前楼传模式==='楼传')",
						"true": [
							{
								"type": "dowhile",
								"condition": "true",
								"data": [
									{
										"type": "switch",
										"condition": "(flag:当前楼传页面 || core.getLayer())",
										"caseList": [
											{
												"case": "'底'",
												"action": [
													{
														"type": "function",
														"function": "function(){\ncore.drawMyFly('底','楼传');\n}"
													},
													{
														"type": "wait",
														"forceChild": true,
														"data": [
															{
																"case": "keyboard",
																"keycode": "27",
																"action": [
																	{
																		"type": "comment",
																		"text": "esc"
																	},
																	{
																		"type": "break",
																		"n": 2
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 9",
																	"32 * 11"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击右下角退出"
																	},
																	{
																		"type": "break",
																		"n": 2
																	}
																]
															},
															{
																"case": "keyboard",
																"keycode": "38",
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了上键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'中'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 10",
																	"32 * 11"
																],
																"py": [
																	"32 * 2",
																	"32 * 3"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了上键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'中'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	0,
																	"32*10"
																],
																"py": [
																	0,
																	"32*10"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击地图"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '底');\n}"
																	},
																	{
																		"type": "if",
																		"condition": "flag:传送成功",
																		"true": [
																			{
																				"type": "break",
																				"n": 2
																			}
																		],
																		"false": []
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	0,
																	"32*4"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击切换模式"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传模式",
																		"value": "'浏览'"
																	},
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															}
														]
													}
												]
											},
											{
												"case": "'中'",
												"action": [
													{
														"type": "function",
														"function": "function(){\ncore.drawMyFly('中','楼传');\n}"
													},
													{
														"type": "wait",
														"forceChild": true,
														"data": [
															{
																"case": "keyboard",
																"keycode": "27",
																"action": [
																	{
																		"type": "comment",
																		"text": "esc"
																	},
																	{
																		"type": "break",
																		"n": 2
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 9",
																	"32 * 11"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击右下角退出"
																	},
																	{
																		"type": "break",
																		"n": 2
																	}
																]
															},
															{
																"case": "keyboard",
																"keycode": "38",
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了上键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'顶'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 10",
																	"32 * 11"
																],
																"py": [
																	"32 * 2",
																	"32 * 3"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了上键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'顶'"
																	}
																]
															},
															{
																"case": "keyboard",
																"keycode": "40",
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了下键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'底'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 10",
																	"32 * 11"
																],
																"py": [
																	"32 * 8",
																	"32 * 9"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了下键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'底'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32*2",
																	"32*8"
																],
																"py": [
																	"32*2",
																	"32*8"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击地图"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '中');\n}"
																	},
																	{
																		"type": "if",
																		"condition": "flag:传送成功",
																		"true": [
																			{
																				"type": "break",
																				"n": 2
																			}
																		],
																		"false": []
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	0,
																	"32*4"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击切换模式"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传模式",
																		"value": "'浏览'"
																	},
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															}
														]
													}
												]
											},
											{
												"case": "'顶'",
												"action": [
													{
														"type": "function",
														"function": "function(){\ncore.drawMyFly('顶','楼传');\n}"
													},
													{
														"type": "wait",
														"forceChild": true,
														"data": [
															{
																"case": "keyboard",
																"keycode": "27",
																"action": [
																	{
																		"type": "comment",
																		"text": "esc"
																	},
																	{
																		"type": "break",
																		"n": 2
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 9",
																	"32 * 11"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击右下角退出"
																	},
																	{
																		"type": "break",
																		"n": 2
																	}
																]
															},
															{
																"case": "keyboard",
																"keycode": "40",
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了下键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'中'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 10",
																	"32 * 11"
																],
																"py": [
																	"32 * 8",
																	"32 * 9"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了下键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'中'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32*4",
																	"32*6"
																],
																"py": [
																	"32*4",
																	"32*6"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击地图"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '顶');\n}"
																	},
																	{
																		"type": "if",
																		"condition": "flag:传送成功",
																		"true": [
																			{
																				"type": "break",
																				"n": 2
																			}
																		],
																		"false": []
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	0,
																	"32*4"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击切换模式"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传模式",
																		"value": "'浏览'"
																	},
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															}
														]
													}
												]
											},
											{
												"case": "default",
												"action": [
													{
														"type": "exit"
													},
													{
														"type": "comment",
														"text": "当没有符合的值的场合执行default事件"
													}
												]
											}
										]
									}
								]
							}
						],
						"false": [
							{
								"type": "dowhile",
								"condition": "true",
								"data": [
									{
										"type": "switch",
										"condition": "(flag:当前楼传页面 || core.getLayer())",
										"caseList": [
											{
												"case": "'底'",
												"action": [
													{
														"type": "function",
														"function": "function(){\ncore.drawMyFly('底','浏览');\n}"
													},
													{
														"type": "wait",
														"forceChild": true,
														"data": [
															{
																"case": "keyboard",
																"keycode": "27",
																"action": [
																	{
																		"type": "comment",
																		"text": "esc"
																	},
																	{
																		"type": "break",
																		"n": 2
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 9",
																	"32 * 11"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击右下角退出"
																	},
																	{
																		"type": "break",
																		"n": 2
																	}
																]
															},
															{
																"case": "keyboard",
																"keycode": "38",
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了上键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'中'"
																	},
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 10",
																	"32 * 11"
																],
																"py": [
																	"32 * 2",
																	"32 * 3"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了上键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'中'"
																	},
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	0,
																	"32*10"
																],
																"py": [
																	0,
																	"32*10"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击地图"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clickMyFly2(flags.x, flags.y, '底');\n}"
																	},
																	{
																		"type": "dowhile",
																		"condition": "true",
																		"data": [
																			{
																				"type": "wait",
																				"forceChild": true,
																				"data": [
																					{
																						"case": "keyboard",
																						"keycode": "27",
																						"action": [
																							{
																								"type": "comment",
																								"text": "esc"
																							},
																							{
																								"type": "break",
																								"n": 3
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32 * 9",
																							"32 * 11"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击右下角退出"
																							},
																							{
																								"type": "break",
																								"n": 3
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "8",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击了backspace，返回"
																							},
																							{
																								"type": "break",
																								"n": 1
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"py": [
																							"32 * 4",
																							"32 * 7"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击了backspace，返回"
																							},
																							{
																								"type": "break",
																								"n": 1
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32*5",
																							"32*6"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击X手册"
																							},
																							{
																								"type": "callBook"
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "88",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击X手册"
																							},
																							{
																								"type": "callBook"
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							0,
																							"32*2"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击G楼传"
																							},
																							{
																								"type": "function",
																								"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '底');\n}"
																							},
																							{
																								"type": "if",
																								"condition": "flag:传送成功",
																								"true": [
																									{
																										"type": "break",
																										"n": 3
																									}
																								],
																								"false": []
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "71",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击G楼传"
																							},
																							{
																								"type": "function",
																								"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '底');\n}"
																							},
																							{
																								"type": "if",
																								"condition": "flag:传送成功",
																								"true": [
																									{
																										"type": "break",
																										"n": 3
																									}
																								],
																								"false": []
																							}
																						]
																					}
																				]
																			}
																		]
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	0,
																	"32*4"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击切换模式"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传模式",
																		"value": "'楼传'"
																	},
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															}
														]
													}
												]
											},
											{
												"case": "'中'",
												"action": [
													{
														"type": "function",
														"function": "function(){\ncore.drawMyFly('中','浏览');\n}"
													},
													{
														"type": "wait",
														"forceChild": true,
														"data": [
															{
																"case": "keyboard",
																"keycode": "27",
																"action": [
																	{
																		"type": "comment",
																		"text": "esc"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clearMyFly();\n}"
																	},
																	{
																		"type": "exit"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 9",
																	"32 * 11"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击右下角退出"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clearMyFly();\n}"
																	},
																	{
																		"type": "exit"
																	}
																]
															},
															{
																"case": "keyboard",
																"keycode": "38",
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了上键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'顶'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 10",
																	"32 * 11"
																],
																"py": [
																	"32 * 2",
																	"32 * 3"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了上键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'顶'"
																	}
																]
															},
															{
																"case": "keyboard",
																"keycode": "40",
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了下键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'底'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 10",
																	"32 * 11"
																],
																"py": [
																	"32 * 8",
																	"32 * 9"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了下键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'底'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 2",
																	"32 * 8"
																],
																"py": [
																	"32 * 2",
																	"32 * 8"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击地图"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clickMyFly2(flags.x, flags.y, '中');\n}"
																	},
																	{
																		"type": "dowhile",
																		"condition": "true",
																		"data": [
																			{
																				"type": "wait",
																				"forceChild": true,
																				"data": [
																					{
																						"case": "keyboard",
																						"keycode": "27",
																						"action": [
																							{
																								"type": "comment",
																								"text": "esc"
																							},
																							{
																								"type": "break",
																								"n": 3
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32 * 9",
																							"32 * 11"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击右下角退出"
																							},
																							{
																								"type": "break",
																								"n": 3
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "8",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击了backspace，返回"
																							},
																							{
																								"type": "break",
																								"n": 1
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"py": [
																							"32 * 4",
																							"32 * 7"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击了backspace，返回"
																							},
																							{
																								"type": "break",
																								"n": 1
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32*5",
																							"32*6"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击X手册"
																							},
																							{
																								"type": "callBook"
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "88",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击X手册"
																							},
																							{
																								"type": "callBook"
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							0,
																							"32*2"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击G楼传"
																							},
																							{
																								"type": "function",
																								"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '底');\n}"
																							},
																							{
																								"type": "if",
																								"condition": "flag:传送成功",
																								"true": [
																									{
																										"type": "break",
																										"n": 3
																									}
																								],
																								"false": []
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "71",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击G楼传"
																							},
																							{
																								"type": "function",
																								"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '底');\n}"
																							},
																							{
																								"type": "if",
																								"condition": "flag:传送成功",
																								"true": [
																									{
																										"type": "break",
																										"n": 3
																									}
																								],
																								"false": []
																							}
																						]
																					}
																				]
																			}
																		]
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	0,
																	"32*4"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击切换模式"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传模式",
																		"value": "'楼传'"
																	},
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															}
														]
													}
												]
											},
											{
												"case": "'顶'",
												"action": [
													{
														"type": "function",
														"function": "function(){\ncore.drawMyFly('顶','浏览');\n}"
													},
													{
														"type": "wait",
														"forceChild": true,
														"data": [
															{
																"case": "keyboard",
																"keycode": "27",
																"action": [
																	{
																		"type": "comment",
																		"text": "esc"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clearMyFly();\n}"
																	},
																	{
																		"type": "exit"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 9",
																	"32 * 11"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击右下角退出"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clearMyFly();\n}"
																	},
																	{
																		"type": "exit"
																	}
																]
															},
															{
																"case": "keyboard",
																"keycode": "40",
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了下键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'中'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 10",
																	"32 * 11"
																],
																"py": [
																	"32 * 8",
																	"32 * 9"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击了下键，翻页"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传页面",
																		"value": "'中'"
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	"32 * 4",
																	"32 * 6"
																],
																"py": [
																	"32 * 4",
																	"32 * 6"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击地图"
																	},
																	{
																		"type": "function",
																		"function": "function(){\ncore.clickMyFly2(flags.x, flags.y, '顶');\n}"
																	},
																	{
																		"type": "dowhile",
																		"condition": "true",
																		"data": [
																			{
																				"type": "wait",
																				"forceChild": true,
																				"data": [
																					{
																						"case": "keyboard",
																						"keycode": "27",
																						"action": [
																							{
																								"type": "comment",
																								"text": "esc"
																							},
																							{
																								"type": "break",
																								"n": 3
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32 * 9",
																							"32 * 11"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击右下角退出"
																							},
																							{
																								"type": "break",
																								"n": 3
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "8",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击了backspace，返回"
																							},
																							{
																								"type": "break",
																								"n": 1
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"py": [
																							"32 * 4",
																							"32 * 7"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击了backspace，返回"
																							},
																							{
																								"type": "break",
																								"n": 1
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							"32*5",
																							"32*6"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击X手册"
																							},
																							{
																								"type": "callBook"
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "88",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击X手册"
																							},
																							{
																								"type": "callBook"
																							}
																						]
																					},
																					{
																						"case": "mouse",
																						"px": [
																							0,
																							"32*2"
																						],
																						"py": [
																							"32 * 10",
																							"32 * 11"
																						],
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击G楼传"
																							},
																							{
																								"type": "function",
																								"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '底');\n}"
																							},
																							{
																								"type": "if",
																								"condition": "flag:传送成功",
																								"true": [
																									{
																										"type": "break",
																										"n": 3
																									}
																								],
																								"false": []
																							}
																						]
																					},
																					{
																						"case": "keyboard",
																						"keycode": "71",
																						"action": [
																							{
																								"type": "comment",
																								"text": "点击G楼传"
																							},
																							{
																								"type": "function",
																								"function": "function(){\ncore.clickMyFly(flags.x, flags.y, '底');\n}"
																							},
																							{
																								"type": "if",
																								"condition": "flag:传送成功",
																								"true": [
																									{
																										"type": "break",
																										"n": 3
																									}
																								],
																								"false": []
																							}
																						]
																					}
																				]
																			}
																		]
																	}
																]
															},
															{
																"case": "mouse",
																"px": [
																	0,
																	"32*4"
																],
																"py": [
																	"32 * 10",
																	"32 * 11"
																],
																"action": [
																	{
																		"type": "comment",
																		"text": "点击切换模式"
																	},
																	{
																		"type": "setValue",
																		"name": "flag:当前楼传模式",
																		"value": "'楼传'"
																	},
																	{
																		"type": "break",
																		"n": 1
																	}
																]
															}
														]
													}
												]
											},
											{
												"case": "default",
												"action": [
													{
														"type": "exit"
													},
													{
														"type": "comment",
														"text": "当没有符合的值的场合执行default事件"
													}
												]
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"type": "function",
				"function": "function(){\ncore.clearMyFly();\n}"
			}
		]
	}
}