main.floors.MT134=
{
    "floorId": "MT134",
    "title": "底层3-4",
    "name": "底层3-4",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "section1.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "11,2": [
            {
                "type": "choices",
                "text": "\t[商人,woman]谢谢你救了我 我可以帮你提升3%的攻击和防御",
                "choices": [
                    {
                        "text": "现在提升",
                        "action": [
                            {
                                "type": "playSound",
                                "name": "item.mp3"
                            },
                            {
                                "type": "addValue",
                                "name": "status:atk",
                                "value": "Math.round(status:atk*0.03)"
                            },
                            {
                                "type": "addValue",
                                "name": "status:def",
                                "value": "Math.round(status:def*0.03)"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:talking",
                                "value": "0"
                            },
                            {
                                "type": "hide",
                                "time": 500
                            }
                        ]
                    },
                    {
                        "text": "等会再说",
                        "action": []
                    }
                ]
            }
        ],
        "6,9": [
            {
                "type": "playSound",
                "name": "3F.mp3"
            },
            {
                "type": "setBlock",
                "number": "redKing",
                "loc": [
                    [
                        6,
                        7
                    ]
                ],
                "time": 500
            },
            "\t[redKing]欢迎来到魔塔 你是第100位来找公主的挑战者 现在你必须接受公主的安排",
            {
                "type": "setBlock",
                "number": "womanMagician",
                "loc": [
                    [
                        6,
                        8
                    ],
                    [
                        5,
                        9
                    ],
                    [
                        6,
                        10
                    ],
                    [
                        7,
                        9
                    ]
                ],
                "time": 500
            },
            "\t[hero]什么",
            "\t[redKing]公主制作圣水不容易，因此设立了打通这座塔的条件，现在你需要选择闯塔的模式",
            {
                "type": "choices",
                "text": "\t[魔王,redKing]普通模式下，所有宝石血瓶剑盾按照所在区域提供属性\n平面模式下，所有宝石血瓶剑盾初始倍率都是1，每次打败boss都会提高1级",
                "choices": [
                    {
                        "text": "普通模式",
                        "action": [
                            {
                                "type": "setValue",
                                "name": "flag:选择模式",
                                "value": "'普通'"
                            }
                        ]
                    },
                    {
                        "text": "平面模式",
                        "action": [
                            {
                                "type": "setValue",
                                "name": "flag:选择模式",
                                "value": "'平面'"
                            }
                        ]
                    }
                ]
            },
            "\t[redKing]很好，现在我要没收你的剑盾，当然你自己的神圣剑盾不会受到选择的影响",
            {
                "type": "setCurtain",
                "color": [
                    0,
                    0,
                    0,
                    1
                ],
                "time": 1000,
                "keep": true,
                "async": true
            },
            {
                "type": "playSound",
                "name": "zone.mp3",
                "stop": true
            },
            {
                "type": "sleep",
                "time": 300
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 150
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 300
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 150
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "setValue",
                "name": "status:hp",
                "operator": "-=",
                "value": "600"
            },
            {
                "type": "setValue",
                "name": "status:atk",
                "operator": "-=",
                "value": "90"
            },
            {
                "type": "setValue",
                "name": "status:def",
                "operator": "-=",
                "value": "90"
            },
            {
                "type": "setValue",
                "name": "flag:03",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:nowWeapon",
                "value": "null"
            },
            {
                "type": "setValue",
                "name": "flag:nowShield",
                "value": "null"
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        7
                    ],
                    [
                        6,
                        8
                    ],
                    [
                        5,
                        9
                    ],
                    [
                        6,
                        10
                    ],
                    [
                        7,
                        9
                    ]
                ],
                "remove": true,
                "time": 0
            },
            {
                "type": "hide",
                "loc": [
                    [
                        7,
                        10
                    ]
                ],
                "floorId": "MT135",
                "remove": true,
                "time": 0
            },
            {
                "type": "changePos",
                "loc": [
                    1,
                    2
                ],
                "direction": "down"
            },
            {
                "type": "show",
                "loc": [
                    [
                        3,
                        2
                    ]
                ]
            },
            {
                "type": "sleep",
                "time": 1000
            },
            "\t[小偷,thief]喂",
            "\t[小偷,thief]喂 醒醒",
            {
                "type": "setCurtain",
                "time": 1000
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        9
                    ]
                ],
                "remove": true,
                "time": 0
            }
        ],
        "3,2": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "if",
                    "condition": "switch:A",
                    "true": [
                        "\t[小偷,thief]我不出去，我在这里挺好的"
                    ],
                    "false": [
                        "\t[小偷,thief]你清醒了吗 你到监狱时还处在昏迷中 魔法警卫把你扔到我这个房间",
                        "\t[hero]嗯嗯，那你挖暗道把我救出去吧",
                        "\t[小偷,thief]我不会挖暗道，不过我有个很厉害的楼传，可以在任何地点进行传送，你用它出去吧",
                        {
                            "type": "setValue",
                            "name": "item:myFly",
                            "value": "1"
                        },
                        "\t[hero]什么 我的剑盾也被收走了 你能告诉我现在怎么取得武器吗",
                        "\t[小偷,thief]武器在哪里我也不知道 要不你自己用楼传看看吧 它也有预览地图的功能",
                        "\t[小偷,thief]对了，我这里还有很多蜡烛，都给你了，你在一层点上蜡烛以后，楼传就可以传到蜡烛的位置，否则只会传到你离开的位置，你也可以灭掉蜡烛，每层只能点一个蜡烛，点了下一个上一个就会灭掉",
                        {
                            "type": "setValue",
                            "name": "item:wand",
                            "value": "1"
                        },
                        {
                            "type": "setValue",
                            "name": "switch:A",
                            "value": "1"
                        }
                    ]
                }
            ]
        },
        "6,7": {
            "trigger": null,
            "enable": true,
            "noPass": null,
            "displayDamage": false,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": []
        }
    },
    "changeFloor": {
        "6,11": {
            "floorId": "MT135",
            "loc": [
                6,
                1
            ]
        },
        "6,1": {
            "floorId": "MT133",
            "loc": [
                6,
                11
            ]
        },
        "1,7": {
            "floorId": "MT124",
            "loc": [
                11,
                7
            ]
        },
        "11,8": {
            "floorId": "MT144",
            "loc": [
                1,
                8
            ]
        }
    },
    "beforeBattle": {},
    "afterBattle": {
        "2,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT134_2_5",
                "operator": "+=",
                "value": "1"
            }
        ],
        "10,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT134_2_5",
                "operator": "+=",
                "value": "1"
            }
        ],
        "2,9": [
            {
                "type": "openDoor",
                "loc": [
                    4,
                    7
                ]
            }
        ],
        "10,10": [
            {
                "type": "openDoor",
                "loc": [
                    8,
                    8
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "2,5": {
            "0": {
                "condition": "flag:door_MT134_2_5==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT134_2_5",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        },
        "10,5": {
            "0": {
                "condition": "flag:door_MT134_2_5==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT134_2_5",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  1,  1,  1,  1,  1, 91,  1,  1,  1,  1,  1,  4],
    [  4,  0,  0,123,  1, 21, 32, 21,  1,121,  0,124,  4],
    [  4,  0,  0,  0,  1, 32, 21, 32,  1,  0,  0,  0,  4],
    [  4,  0,  0,  0,  1, 21, 22, 21,  1,  0,  0,  0,  4],
    [  4,  1, 86,  1,  1,  1,  0,  1,  1,  1, 86,  1,  4],
    [  4,  0,222,  0,  1,  0,  0,  0,  1,  0,222,  0,  4],
    [  4, 92,  0,  0,  1,  0,  0,  0,  1,  1, 82,  1,  4],
    [  4,  1, 81,  1,  1,  0,  0,  0,  1,  0,  0, 94,  4],
    [  4,  0,210,  0,  1,  0,  0,  0,  1,  1, 81,  1,  4],
    [  4, 21,  0, 31,  1,  1,  0,  1,  1,  0,217,  0,  4],
    [  4, 21,  0, 28,  1,  0, 93,  0,  1, 21, 31, 22,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4]
],
    "bgmap": [

],
    "fgmap": [

]
}