main.floors.MT233=
{
    "floorId": "MT233",
    "title": "中层3-3",
    "name": "中层3-3",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [
        {
            "type": "if",
            "condition": "(!flag:牢骑)",
            "true": [
                {
                    "type": "setEnemy",
                    "id": "yellowKnight",
                    "name": "special",
                    "value": "[1]"
                },
                "\t[骑士队长,yellowKnight]你来到了蛋糕的中层 这表明你是个勇士 但现在游戏结束了 我将在这里亲手杀死你",
                {
                    "type": "callBook"
                },
                {
                    "type": "jump",
                    "from": [
                        6,
                        6
                    ],
                    "to": [
                        "core.getHeroLoc('x')",
                        "core.getHeroLoc('y')"
                    ],
                    "time": 500,
                    "keep": true
                },
                {
                    "type": "battle",
                    "id": "yellowKnight"
                },
                {
                    "type": "jump",
                    "from": [
                        "core.getHeroLoc('x')",
                        "core.getHeroLoc('y')"
                    ],
                    "to": [
                        6,
                        6
                    ],
                    "time": 500,
                    "keep": true
                },
                "\t[骑士队长,yellowKnight]你以为你已非常强大了吗 嘿嘿错了 只是我今天状态不佳而已 我走了 有本事进来与我再打一次",
                {
                    "type": "setEnemy",
                    "id": "yellowKnight",
                    "name": "special",
                    "value": "[]"
                },
                {
                    "type": "setValue",
                    "name": "flag:牢骑",
                    "value": "1"
                }
            ]
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {},
    "changeFloor": {
        "6,11": {
            "floorId": "MT234",
            "loc": [
                6,
                1
            ]
        },
        "6,1": {
            "floorId": "MT232",
            "loc": [
                6,
                11
            ]
        },
        "1,6": {
            "floorId": "MT223",
            "loc": [
                11,
                6
            ]
        },
        "11,6": {
            "floorId": "MT243",
            "loc": [
                1,
                6
            ]
        }
    },
    "beforeBattle": {
        "6,6": [
            "\t[骑士队长,yellowKnight]你怎会击败我所有的手下？我和你誓不两立我决不认输。"
        ]
    },
    "afterBattle": {
        "7,9": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "6,9": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "5,9": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "7,3": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "6,3": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "5,3": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "3,5": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "3,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "3,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,5": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "9,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT233_6_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "6,6": [
            "\t[骑士队长,yellowKnight]饶命啊",
            {
                "type": "setBlock",
                "number": "redGem",
                "loc": [
                    [
                        5,
                        8
                    ],
                    [
                        6,
                        8
                    ],
                    [
                        7,
                        8
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "blueGem",
                "loc": [
                    [
                        5,
                        4
                    ],
                    [
                        6,
                        4
                    ],
                    [
                        7,
                        4
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "yellowKey",
                "loc": [
                    [
                        4,
                        5
                    ],
                    [
                        4,
                        6
                    ],
                    [
                        4,
                        7
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "bluePotion",
                "loc": [
                    [
                        8,
                        5
                    ],
                    [
                        8,
                        6
                    ],
                    [
                        8,
                        7
                    ]
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    7
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    5
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    5,
                    6
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    7,
                    6
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "6,8": {
            "0": {
                "condition": "flag:door_MT233_6_8==12",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT233_6_8",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        },
        "4,6": {
            "0": {
                "condition": "flag:door_MT233_6_8==12",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT233_6_8",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        },
        "6,4": {
            "0": {
                "condition": "flag:door_MT233_6_8==12",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT233_6_8",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        },
        "8,6": {
            "0": {
                "condition": "flag:door_MT233_6_8==12",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT233_6_8",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  1,  1,  1,  0,  0, 91,  0,  0,  1,  1,  1,  4],
    [  4,  1,  1,  1,  0,  0,  0,  0,  0,  1,  1,  1,  4],
    [  4,  1,  1,  1,  0,225,225,225,  0,  1,  1,  1,  4],
    [  4,  0,  0,  0,  1,  1, 85,  1,  1,  0,  0,  0,  4],
    [  4,  0,  0,224,  1,  1, 83,  1,  1,227,  0,  0,  4],
    [  4, 92,  0,224, 85, 83,226, 83, 85,227,  0, 94,  4],
    [  4,  0,  0,224,  1,  1, 83,  1,  1,227,  0,  0,  4],
    [  4,  0,  0,  0,  1,  1, 85,  1,  1,  0,  0,  0,  4],
    [  4,  1,  1,  1,  0,212,212,212,  0,  1,  1,  1,  4],
    [  4,  1,  1,  1,  0,  0,  0,  0,  0,  1,  1,  1,  4],
    [  4,  1,  1,  1,  0,  0, 93,  0,  0,  1,  1,  1,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4]
],
    "bgmap": [

],
    "fgmap": [

]
}