main.floors.MT223=
{
    "floorId": "MT223",
    "title": "中层2-3",
    "name": "中层2-3",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [
        {
            "type": "if",
            "condition": "(!flag:牢骑)",
            "true": [
                {
                    "type": "setEnemy",
                    "id": "yellowKnight",
                    "name": "special",
                    "value": "[1]"
                },
                {
                    "type": "setBlock",
                    "number": "yellowKnight",
                    "loc": [
                        [
                            10,
                            6
                        ]
                    ],
                    "time": 500
                },
                "\t[骑士队长,yellowKnight]你来到了蛋糕的中层 这表明你是个勇士 但现在游戏结束了 我将在这里亲手杀死你",
                {
                    "type": "callBook"
                },
                {
                    "type": "jump",
                    "from": [
                        10,
                        6
                    ],
                    "to": [
                        "core.getHeroLoc('x')",
                        "core.getHeroLoc('y')"
                    ],
                    "time": 500,
                    "keep": true
                },
                {
                    "type": "battle",
                    "id": "yellowKnight"
                },
                {
                    "type": "jump",
                    "from": [
                        "core.getHeroLoc('x')",
                        "core.getHeroLoc('y')"
                    ],
                    "to": [
                        10,
                        6
                    ],
                    "time": 500,
                    "keep": true
                },
                "\t[骑士队长,yellowKnight]你以为你已非常强大了吗 嘿嘿错了 只是我今天状态不佳而已 我走了 有本事到中间与我再打一次",
                {
                    "type": "move",
                    "loc": [
                        10,
                        6
                    ],
                    "time": 200,
                    "steps": [
                        "right:1"
                    ]
                },
                {
                    "type": "setEnemy",
                    "id": "yellowKnight",
                    "name": "special",
                    "value": "[]"
                },
                {
                    "type": "setValue",
                    "name": "flag:牢骑",
                    "value": "1"
                }
            ]
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {},
    "changeFloor": {
        "11,6": {
            "floorId": "MT233",
            "loc": [
                1,
                6
            ]
        },
        "1,11": {
            "floorId": "MT224",
            "loc": [
                1,
                1
            ]
        },
        "6,1": {
            "floorId": "MT222",
            "loc": [
                6,
                11
            ]
        }
    },
    "beforeBattle": {},
    "afterBattle": {
        "8,5": [
            {
                "type": "setValue",
                "name": "flag:door_MT223_9_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "10,5": [
            {
                "type": "setValue",
                "name": "flag:door_MT223_9_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "8,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT223_9_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "10,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT223_9_8",
                "operator": "+=",
                "value": "1"
            }
        ],
        "1,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT223_2_3",
                "operator": "+=",
                "value": "1"
            }
        ],
        "3,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT223_2_3",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "9,8": {
            "0": {
                "condition": "flag:door_MT223_9_8==4",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT223_9_8",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        },
        "2,3": {
            "0": {
                "condition": "flag:door_MT223_2_3==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT223_2_3",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4, 21, 21, 21, 21,  1, 91, 81,  0,  0, 32,  1,  4],
    [  4, 22,  0,  0,  0,  1,  0,  1,  1,  1,  1,  1,  4],
    [  4,  1, 85,  1,  1,  1,  0,216,  0,  0,  0,  1,  4],
    [  4,222,  0,222,  0,  1,  0,  1,  1,214,  1,  1,  4],
    [  4,  0,  0,  0,121,  1,  0,  1,212,  0,212,  1,  4],
    [  4,  1,  1,  0,  1,  1,  0, 81,  0,  0,  0, 94,  4],
    [  4,  0,  0,  0,  0,  0,  0,  1,225,  0,225,  1,  4],
    [  4,  0,  1,  1,  1,  1,  1,  1,  1, 85,  1,  1,  4],
    [  4,  0,  1,  0, 81,214,  0,  1,  0,  0,  0,  1,  4],
    [  4,  0, 81,216,  1,  1,212, 82,  0, 39,  0,  1,  4],
    [  4, 93,  1,  0,  0,224,  0,  1,  0,  0,  0,  1,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4]
],
    "bgmap": [

],
    "fgmap": [

]
}